# frozen_string_literal: true

newparam(:distinguished_name) do
  include EasyType

  desc <<-DESC
    The distinguished name of the principal you want to manage.

  DESC

  data_type('Optional[String[1]]')

  isnamevar

  to_translate_to_resource(&:dn)
end
